<?php

/*
 * Class MP_Entrepreneur_Plugin_Portfolio
 * 
 * add portfolio section
 */

class MP_Entrepreneur_Plugin_Portfolio_Front {

	public function __construct() {
		add_action( MP_Entrepreneur_Plugin_Instance()->get_prefix() . 'section_portfolio', array( $this, 'get_html' ) );
	}

	/*
	 * Get default sidebar
	 */

	public function get_default_content() {
		$array_bg = array(
			array('title' => 'Hair Services', 'sub-title' => 'Color Correction', 'img' => 'photo10.jpg'),
			array('title' => 'Balayage Hairdo', 'sub-title' => 'Red Colors', 'img' => 'photo9.jpg'),
			array('title' => 'Cosmetics Brands', 'sub-title' => 'Lipstick and Powder', 'img' => 'photo8.jpg'),
			array('title' => 'Business Hairstyles', 'sub-title' => 'Seamless Bland Hair', 'img' => 'photo7.jpg'),
			array('title' => 'Glamorous Hairstyle and Makeup', 'sub-title' => 'Autumn Ideas', 'img' => 'photo6.jpg'),
			array('title' => 'Wedding Craft Ideas', 'sub-title' => 'Bridal Updo', 'img' => 'photo5.jpg'),
			array('title' => 'Natural Makeup', 'sub-title' => 'Makeup Brushes', 'img' => 'photo4.jpg'),
			array('title' => 'Quick Makeup', 'sub-title' => 'Mascara and Eyeliners', 'img' => 'photo3.jpg'),
			array('title' => 'Lip Makeup', 'sub-title' => 'Natural Colors', 'img' => 'photo2.jpg'),
			array('title' => 'Full Face Makeup', 'sub-title' => 'Creative Ideas', 'img' => 'photo1.jpg'),
		);
		foreach ( $array_bg as $bg ) {
			?>
			<div class="portfolio-element">
				<a href="#">
					<img src="<?php echo MP_ENTREPRENEUR_PLUGIN_PATH; ?>images/<?php echo $bg['img']; ?>"
					     class="attachment-570x350 size-570x350 wp-post-image" alt="photo">
					<div class="porfolio-content">
						<h3 class="porfolio-title"><?php echo $bg['title']; ?></h3>
						<p><?php echo $bg['sub-title']; ?></p>
						<i class="fa fa-search button"></i>
					</div>
				</a>
			</div>
			<?php
		}
	}

	/*
		 * Get list term
		 */

	function get_term_list( $term_list ) {
		if ( ! empty( $term_list ) ) {
			echo '<div class="portfoli-categories">';
			foreach ( $term_list as $term ) {
				echo '<span>' . $term->name . '</span>';
				if ( $term != end( $term_list ) ) :
					echo ", ";
				endif;
			}
			echo '</div>';
		}
	}

	/*
		 * Get default content
		 */

	public function get_portfolio() {
		global $post; ?>
		<div class="portfolio-element">
			<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'mp_entrepreneur_thumb-large', false, '' ); ?>
			<a href="<?php the_permalink(); ?>">
				<?php if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : ?>
					<?php the_post_thumbnail( 'large' ); ?>
				<?php endif; ?>
				<div class="porfolio-content">
					<?php the_title( '<h3 class="porfolio-title">', '</h3>', true ); ?>
					
					<?php
						$portfolio_sub_title = esc_html( get_post_meta( get_the_ID(), '_portfolio_sub_title', true ) );
						if ( !empty($portfolio_sub_title) ) { ?>
						<p><?php echo $portfolio_sub_title; ?></p>
					<?php } ?>
					
					<?php $categories_portfolio = wp_get_post_terms( $post->ID, 'categories_portfolio', array( "fields" => "all" ) );
					$this->get_term_list( $categories_portfolio ); ?>
					<i class="fa fa-search button"></i>
				</div>
			</a>
		</div>
		<?php
	}

	/*
	 * Get sidebar
	 */

	public function get_content() {
		$args = array(
			'post_type' => 'portfolio'
		);
		$testimonials = new WP_Query( $args );
		?>
		<div class="portfolio">
			<div class="portfolio-wrapper">
				<?php
				if ( $testimonials->have_posts() ) {
					?>

					<?php
					while ( $testimonials->have_posts() ) {
						$testimonials->the_post();
						$this->get_portfolio();
					}
					?>
					<?php
				} else {
					$this->get_default_content();
				} ?>
			</div>
		</div>
		<?php
	}

	/*
	 * Get title
	 */

	public function get_title() { ?>
		<div class="section-header">
			<?php
			$mp_entrepreneur_portfolio_title = esc_html( get_theme_mod( MP_Entrepreneur_Plugin_Instance()->get_prefix() . 'portfolio_title' ) );
			if ( get_theme_mod( MP_Entrepreneur_Plugin_Instance()->get_prefix() . 'portfolio_title', false ) === false ) :
				?>

				<h2 class="section-title"><?php _e( 'Gallery', 'mp-entrepreneur' ); ?></h2>
				<?php
			else:
				if ( ! empty( $mp_entrepreneur_portfolio_title ) ):
					?>
					<h2 class="section-title"><?php echo $mp_entrepreneur_portfolio_title; ?></h2>
					<?php
				endif;
			endif;
			?>
		</div>
		<?php
	}


	public function get_html() {
		?>
		<section id="portfolio" class="portfolio-section default-section">
			<div class="container">
				<div class="section-content">
					<?php
					$this->get_title();
					$this->get_content();
					?>
				</div>
			</div>
		</section>
		<?php
	}

}

new MP_Entrepreneur_Plugin_Portfolio_Front();