<?php

/*
 * Class MP_Entrepreneur_Plugin_Testimonials
 * add testimonials section
 */

class MP_Entrepreneur_Plugin_Testimonials_Front {

	public function __construct() {
		add_action( MP_Entrepreneur_Plugin_Instance()->get_prefix() . 'section_testimonials', array(
			$this,
			'get_html'
		) );
	}

	/*
	 * Get default content
	 */

	public function get_default_content() { ?>
		<li>
			<div class="testimonial-wrapper">
				<h2 class="testimonial-title"><?php _e( 'The staff always understands my needs clearly', 'mp_entrepreneur' ); ?></h2>
				<div class="testimonial-content">
					<div class="content">
						<p><?php _e( 'I got a number of different treatments here and they have all been excellent. The products used are exceptional and the staff are trained nice on the products used and the customer experience. Big love to you!', 'mp_entrepreneur' ); ?></p>
						<div class="clearfix"></div>
					</div>
				</div>
				<div class="testimonial-thumbnail">
					<img width="108" height="108"
					     src="<?php echo MP_ENTREPRENEUR_PLUGIN_PATH; ?>images/author_testimonials_1.png"
					     class="attachment-108x108 size-108x108 wp-post-image" alt="testimonial"></div>
				<div class="testimonial-author">
					<?php _e( 'Gloria Mann', 'mp_entrepreneur' ); ?>
				</div>
			</div>
		</li>
		<li>
			<div class="testimonial-wrapper">
				<h2 class="testimonial-title"><?php _e( 'Simply impressed with the variety of services', 'mp_entrepreneur' ); ?></h2>
				<div class="testimonial-content">
					<div class="content">
						<p><?php _e( 'Many thanks for doing my hair and makeup for my wedding, it was so stunning that everyone said how fantastic I looked. It was perfect and I had an amazing day. Best day of my life!', 'mp_entrepreneur' ); ?></p>
						<div class="clearfix"></div>
					</div>
				</div>
				<div class="testimonial-thumbnail">
					<img width="108" height="108"
					     src="<?php echo MP_ENTREPRENEUR_PLUGIN_PATH; ?>images/author_testimonials.png"
					     class="attachment-108x108 size-108x108 wp-post-image" alt="testimonial"></div>
				<div class="testimonial-author">
					<?php _e( 'Alberta Niles', 'mp_entrepreneur' ); ?>
				</div>
			</div>
		</li>
		<li>
			<div class="testimonial-wrapper">
				<h2 class="testimonial-title"><?php _e( 'I recommend the all-inclusive wedding treatments at this salon', 'mp_entrepreneur' ); ?></h2>
				<div class="testimonial-content">
					<div class="content">
						<p><?php _e( 'I recommend this place to everybody. A very friendly professional salon that offers awesome services. I\'ve had the most amazing experiences here with my hairdresser Kony, she knew exactly what I was looking for and she delivered! Very much pleased.', 'mp_entrepreneur' ); ?></p>
						<div class="clearfix"></div>
					</div>
				</div>
				<div class="testimonial-thumbnail">
					<img width="108" height="108"
					     src="<?php echo MP_ENTREPRENEUR_PLUGIN_PATH; ?>images/author_testimonials_2.png"
					     class="attachment-108x108 size-108x108 wp-post-image" alt="testimonial"></div>
				<div class="testimonial-author">
					<?php _e( 'Jill Hansen', 'mp_entrepreneur' ); ?>
				</div>
			</div>
		</li>
		<?php
	}

	/*
	 * Get default content
	 */

	public function get_testimonial() {
		?>
		<li>
			<div class="testimonial-wrapper">
				<?php the_title( '<h2 class="testimonial-title">', '</h2>', true ); ?>
				<div class="testimonial-content">
					<div class="content">
						<?php the_content(); ?>
						<div class="clearfix"></div>
					</div>
				</div>
				<?php if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : ?>
					<div class="testimonial-thumbnail">
						<?php the_post_thumbnail( array( 108, 108 ) ); ?>
					</div>
				<?php endif; ?>
				<?php
				$author_name = esc_html( get_post_meta( get_the_ID(), '_testimonials_author', true ) );
				if ( $author_name ) : ?>
					<div class="testimonial-author">
						<?php echo $author_name; ?>
					</div>
				<?php endif; ?>
			</div>
		</li>
		<?php
	}

	/*
	 * Get content
	 */

	public function get_content() {
		$args         = array(
			'post_type' => 'testimonials'
		);
		$testimonials = new WP_Query( $args );
		?>
		<div class="flex-main-slider flexslider">

			<ul class="testimonials-slides slides">
				<?php
				if ( $testimonials->have_posts() ) {
					?>

					<?php
					while ( $testimonials->have_posts() ) {
						$testimonials->the_post();
						$this->get_testimonial();
					}
					?>
					<?php
				} else {
					$this->get_default_content();
				} ?>
			</ul>
		</div>
		<?php
	}


	public function get_html() {
		$testimonials_bg = '';
		if ( get_theme_mod( MP_Entrepreneur_Plugin_Instance()->get_prefix() . 'testimonials_section_bg', false ) === false ) :
			$testimonials_bg = 'style="background-image:url(' . MP_ENTREPRENEUR_PLUGIN_PATH . 'images/bg_testimonials.jpg)"';
		endif;
		?>
		<section id="testimonials"
		         class="testimonials-section default-section section-bg-wrapper" <?php echo $testimonials_bg; ?> >
			<div class="section-bg">
				<div class="container">
					<div class="section-content">
						<?php
						$this->get_content();
						?>
					</div>
				</div>
			</div>
			</div>
		</section>
		<?php
	}

}

new MP_Entrepreneur_Plugin_Testimonials_Front();